Bug 1122486 - Rebase python-ldap in fedora 21
Summary: Rebase python-ldap in fedora 21
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-ldap
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Spacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 998522 1007820 1122495
TreeView+ depends on / blocked
 
Reported: 2014-07-23 11:28 UTC by Martin Bašti
Modified: 2014-10-10 16:12 UTC (History)
3 users (show)

Fixed In Version: python-ldap-2.4.17-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1122495 (view as bug list)
Environment:
Last Closed: 2014-10-08 19:14:02 UTC


Attachments (Terms of Use)

Description Martin Bašti 2014-07-23 11:28:24 UTC
Please rebase python-ldap to version 2.4.15, we need bugfixes.

Comment 1 Petr Spacek 2014-07-25 10:50:03 UTC
Please note that we also need new functionality proposed in https://github.com/spacekpe/python-ldap/commit/8b4f935a97759c692637fb9a81e7d353ace27f53 . The rebase should include equivalent commit from upstream repo (if it gets merged).

Comment 2 Petr Spacek 2014-07-25 11:56:38 UTC
The required patch was sent upstream:
https://mail.python.org/pipermail/python-ldap/2014q3/003384.html

Comment 3 Petr Spacek 2014-09-22 13:59:32 UTC
Hello!

Could you please rebase the package to python-ldap 2.4.15? I can do that if you give me commit rights in pkgdb.

Thank you and have a nice day!

Comment 4 Petr Spacek 2014-09-24 19:27:15 UTC
I'm sorry to say that but I really need to solve this bug. I will initiate Fedora nonresponsive package maintainer process soon to unblock this.

Comment 5 Petr Spacek 2014-09-25 07:55:05 UTC
Kanarip gave me commit rights in pkgdb so I will rebase it myself.

Comment 6 Fedora Update System 2014-09-25 09:05:53 UTC
python-ldap-2.4.16-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-ldap-2.4.16-1.fc21

Comment 7 Fedora Update System 2014-09-25 10:12:39 UTC
python-ldap-2.4.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-ldap-2.4.16-1.fc20

Comment 8 Fedora Update System 2014-09-26 09:03:16 UTC
Package python-ldap-2.4.16-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-ldap-2.4.16-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11530/python-ldap-2.4.16-1.fc20
then log in and leave karma (feedback).

Comment 9 Petr Spacek 2014-09-26 12:47:18 UTC
I'm going to include patch https://mail.python.org/pipermail/python-ldap/2014q3/003430.html from upstream into the package.

Comment 10 Fedora Update System 2014-09-27 09:49:59 UTC
Package python-ldap-2.4.16-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-ldap-2.4.16-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11611/python-ldap-2.4.16-1.fc21
then log in and leave karma (feedback).

Comment 11 Petr Spacek 2014-09-29 14:40:37 UTC
I'm going to rebase to python-ldap 2.4.17 which includes patch mentioned in comment #9.

Comment 12 Fedora Update System 2014-09-29 15:01:36 UTC
python-ldap-2.4.17-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-ldap-2.4.17-1.fc21

Comment 13 Fedora Update System 2014-09-29 15:11:56 UTC
python-ldap-2.4.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-ldap-2.4.17-1.fc20

Comment 14 Fedora Update System 2014-10-01 04:18:27 UTC
Package python-ldap-2.4.17-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-ldap-2.4.17-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11885/python-ldap-2.4.17-1.fc21
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2014-10-08 19:14:02 UTC
python-ldap-2.4.17-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-10-10 16:12:01 UTC
python-ldap-2.4.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.